Bug 806594 - Review Request: python-django-notification - User notification management for the Django web framework
Review Request: python-django-notification - User notification management for...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776 962957
  Show dependency treegraph
 
Reported: 2012-03-25 03:51 EDT by Matthias Runge
Modified: 2013-05-15 07:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 07:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-25 03:51:52 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-notification.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-notification-0.2-1.fc17.src.rpm
Description: Many sites need to notify users when certain events have occurred and to
allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality.
This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed


Please note, this is a review request required for renaming.

[mrunge@sofja SPECS]$ rpmlint ./python-django-notification.spec ../SRPMS/python-django-notification-0.2-1.fc17.src.rpm ../RPMS/noarch/python-django-notification-0.2-1.fc17.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


koji scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3930511
Comment 1 Michael Scherer 2012-03-25 05:58:14 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-django-notification-0.2-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-django-notification-0.2-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/checkout/git/FedoraReview/src/806594/django-notification-0.2.tar.gz :
  MD5SUM this package     : 0ba8e2ef23e1bcd1bc83e508d7580782
  MD5SUM upstream package : 0ba8e2ef23e1bcd1bc83e508d7580782

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Python ====
[x]: MUST Module list python2-devel or python3-devel as BuildRequires
[x]: MUST Python egg is built from source



Generated by fedora-review 0.2.0git
External plugins:


$ rpmlint python-django-notification-0.2-1.fc18.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint python-django-notification-0.2-1.fc17.src.rpm        
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

No warning, nothing to change, so the package is good to go.
Comment 2 Michael Scherer 2012-03-25 06:13:30 EDT
You forgot the obsoletes of the old package.
Comment 3 Matthias Runge 2012-03-26 03:17:37 EDT
oopsie, good catch.

Updated SPEC: http://www.matthias-runge.de/fedora/python-django-notification.spec
Updated SRPM: http://www.matthias-runge.de/fedora/python-django-notification-0.2-2.fc16.src.rpm

@@ -3,7 +3,7 @@
 
 Name:           python-django-notification
 Version:        0.2
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        User notification management for the Django web framework
 
 Group:          Development/Languages
@@ -16,6 +16,10 @@
 BuildRequires:  python-setuptools
 Requires:       python-django
 
+Provides:       %{pkgname} = %{version}-%{release}
+# latest release for django-notification is 0.1.2-6
+Obsoletes:      %{pkgname} < %{obs_ver}
+
 %description
 Many sites need to notify users when certain events have occurred and to
 allow configurable options as to how those notifications are to be received.
@@ -46,6 +50,9 @@
 %{python_sitelib}/django_notification-%{version}-py?.?.egg-info
 
 %changelog
+* Mon Mar 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2-2
+- obsolete old package
+
 * Sat Mar 24 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2-1
 - package renamed to python-django-notification
 - update to version 0.2
Comment 4 Michael Scherer 2012-03-26 03:49:07 EDT
So with this addition, the package is good to be sent.
Comment 5 Matthias Runge 2012-03-26 04:03:58 EDT
Thanks for your review!

New Package SCM Request
=======================
Package Name: python-django-notification
Short Description: User notification management for the Django web framework
Owners: mrunge
Branches: devel
Comment 6 Gwyn Ciesla 2012-03-26 08:24:36 EDT
Git done (by process-git-requests).
Comment 7 Matthias Runge 2012-03-27 07:57:41 EDT
imported, built, django-notification retired, request for blocking
https://fedorahosted.org/rel-eng/ticket/5147
Comment 8 Matthias Runge 2013-05-15 03:12:27 EDT
Package Change Request
======================
Package Name: python-django-notification
New Branches: el6
Owners: mrunge
Comment 9 Dennis Gilmore 2013-05-15 07:16:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.